package de.uni_passau.fim.PADAS.group3.DataDash.model;

import org.springframework.stereotype.Service;
import java.util.List;
import java.util.UUID;


@Service
public class CategoryService {
    private CategoryRepository categoryRepository;

    public CategoryService(CategoryRepository categoryRepository) {
        this.categoryRepository = categoryRepository;
    }

    public void addCategory(CategoryDto category) {
        Category cat = new Category(category.getName());
        categoryRepository.save(cat);
    }

    public List<CategoryDto> getAllCategories() {
        List<Category> tmp = categoryRepository.findAll();
        List<CategoryDto> s = tmp.stream().map(CategoryDtoMapper::toDto).toList();
        return s;
    }

    public CategoryDto getCategoryById(UUID id) {
        return CategoryDtoMapper.toDto(categoryRepository.getCategoryById(id));
    }


}
